# Communication Types Communication Types ## Gets all of the communication types in the system. - [GET /communicationTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/communication-types/listcommunicationtypes.md): This method will scan all communication types and and return them to the caller. ## Creates a new communication type record that does not already exist. - [POST /communicationTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/communication-types/createcommunicationtype.md): This method will auto-generate an ID and create a new communication type. If an ID is specified for the communication type, an error will be thrown. ## Execute Batch Operations - [POST /communicationTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/communication-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a communication type from the system by its ID. - [DELETE /communicationTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/communication-types/deletecommunicationtype.md): This method will delete a communication type with the specified ID. ## Returns a communication type from the system by its ID. - [GET /communicationTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/communication-types/getcommunicationtype.md): This method will look up a communication type by the specified ID and return it back. ## Partially updates a communication type with the specified ID. - [PATCH /communicationTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/communication-types/patchcommunicationtype.md): This method will patch an existing communication type with the specified ID, using the HTTP PATCH specification. ## Updates a communication type with the specified ID. - [PUT /communicationTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/communication-types/updatecommunicationtype.md): This method will update an existing communication type with the specified ID.